Name:             libcroco
Summary:          A CSS2 parsing library 
Version:          0.6.7
Release: 	  1
License:          LGPLv2
Group:            System Environment/Libraries
Source0:          %{name}-%{version}.tar.bz2
Source1:          %{name}-%{version}.sha256sum
Patch0:           %{name}-%{version}-aix.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:    make

BuildRequires:    glib2-devel >= 2.8.1-3
BuildRequires:    libxml2-devel >= 2.7.8-3
BuildRequires:    pkg-config >= 0.8
Requires:         glib2 >= 2.8.1-3
Requires:         libxml2 >= 2.7.8-3

%description
CSS2 parsing and manipulation library for GNOME

The library is available as 32-bit and 64-bit.


%package devel
Summary:          Libraries and include files for developing with libcroco.
Group:            Development/Libraries
Requires:         %{name} = %{version}
Requires:         glib2-devel >= 2.8.1-3
Requires:         libxml2-devel >= 2.7.8-3
Requires:         pkg-config >= 0.8

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libcroco.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
gmake %{?_smp_mflags}

cp ./src/.libs/libcroco-0.6.so.3 .
gmake distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/libcroco-0.6.a ./libcroco-0.6.so.3


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip $[RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING COPYING.LIB NEWS README 
%{_bindir}/csslint-0.6
%{_libdir}/*.a
/usr/bin/csslint-0.6
/usr/lib/*.a


%files devel
%defattr(-, root,system)
%{_bindir}/croco-0.6-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/bin/croco-0.6-config
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Nov 28 2014 Michael Perzl <michael@perzl.org> - 0.6.7-1
- updated to version 0.6.7

* Fri Nov 28 2014 Michael Perzl <michael@perzl.org> - 0.6.6-1
- updated to version 0.6.6

* Wed Aug 08 2012 Michael Perzl <michael@perzl.org> - 0.6.5-1
- updated to version 0.6.5

* Wed Aug 08 2012 Michael Perzl <michael@perzl.org> - 0.6.4-1
- updated to version 0.6.4

* Wed Aug 08 2012 Michael Perzl <michael@perzl.org> - 0.6.3-1
- updated to version 0.6.3

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 0.6.2-1
- updated to version 0.6.2

* Wed Apr 15 2008 Michael Perzl <michael@perzl.org> - 0.6.1-1
- first version for AIX V5.1 and higher
